Bug 104265 - Crash in: ImpEditEngine::GetI18NScriptType(EditPaM const &,long *)
Summary: Crash in: ImpEditEngine::GetI18NScriptType(EditPaM const &,long *)
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
5.2.2.2 release
Hardware: x86-64 (AMD64) Windows (All)
: medium normal
Assignee: Eike Rathke
QA Contact:
URL:
Whiteboard: target:5.4.0 target:5.3.4
Keywords:
Depends on:
Blocks:
 
Reported: 2016-11-29 18:58 UTC by trogdoor17@gmail.com
Modified: 2017-04-27 15:58 UTC (History)
1 user (show)

See Also:
Crash report or crash signature: ["ImpEditEngine::GetI18NScriptType(EditPaM const &,long *)"]


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description trogdoor17@gmail.com 2016-11-29 18:58:08 UTC
This bug was filed from the crash reporting server and is br-e2570ac8-6137-4b67-91b2-6cc871f8cb69.
=========================================

Sudden crash when having multiple Impress files open. Seemed to happen when I ctrl+F to search for something. Files were .pptx
Comment 1 trogdoor17@gmail.com 2016-11-30 01:02:33 UTC
Happened in the same Office session as Bug 104266.

So more specifically. I had 3-4 separate Impress windows open. Each window had open a separate .pptx file on them, I was swiftly going through all documents looking for something in particular. I searched one-by-one through each Impress window looking for a keyword using the Ctrl+F function to search for it. The program seemed to always crash just after I pressed the "next" button in the search bar (ctrl+F). It was never the first time though, usually at a random after I've had the program open for a time and I pressed "next" several times to search through the document. When the program did crash, all 4 windows would crash at once.

I'm pretty sure I did not have any other open office products open at the time. I was simultaneously using firefox though, if that means anything.
Comment 2 Andrew D'Addesio 2016-12-30 09:20:18 UTC
I can confirm this crash has just happened to me as well in Impress (Win7 64-bit) when I tried to use Ctrl+F for the phrase "williams", which I typed in manually, on a 46-slide, 12.2MB pptx file. I had one instance of Writer and one instance of Impress open, and the crash brought down both of them. My language and keyboard are set to English (United States). You can find my crash dump here:
http://crashreport.libreoffice.org/stats/crash_details/725e8295-6dc0-4b0c-aff3-57c6c95930f2

It is not crashing for me now. If it happens again, I will try to debug it.

Andrew
Comment 3 Xisco Faulí 2017-01-25 16:26:29 UTC
Hello Andrew,
Could you please share the document you reproduced the crash with? Have you reproduced it again btw?
Comment 4 Xisco Faulí 2017-02-27 11:14:58 UTC
Changing to NEEDINFO until Andrew shares the document...
Comment 5 Commit Notification 2017-04-26 12:40:27 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=17236fe21f9b0c734c0e8d5c371b8112dcab8ac0

check for nullptr, tdf#104265

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Eike Rathke 2017-04-26 13:14:12 UTC
Pending review https://gerrit.libreoffice.org/36989 for 5-3
Comment 7 Commit Notification 2017-04-27 15:58:10 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-5-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9982510049417ce4e3969a492cfdecd3e5ed0760&h=libreoffice-5-3

check for nullptr, tdf#104265

It will be available in 5.3.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.